## org.apache.mahout.cf.taste.common
Class NoSuchUserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mahout.cf.taste.common.TasteException
                  org.apache.mahout.cf.taste.common.NoSuchUserException

All Implemented Interfaces:
  Serializable

    public final class NoSuchUserException

extends TasteException

See Also:
  Serialized Form

Constructor Summary
`NoSuchUserException()`
`NoSuchUserException(long userID)`
`NoSuchUserException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchUserException

    public NoSuchUserException()

### NoSuchUserException

    public NoSuchUserException(long userID)

### NoSuchUserException

    public NoSuchUserException(String message)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.